#!/usr/bin/env bash

if [ $# -eq 0 ]; then
 echo "Provide the name of the rom/asm file to run"
 exit 1
fi

set -e

vasm6502_oldstyle ./src/roms/$1.asm -dotdir -wdc02 -ldots -Fbin -o ./src/roms/$1.rom;
cargo run --features debug -- rom "./src/roms/$1.rom";
# hexdump -C ./cpu_dump.bin;
